# Changelog

## [v6.2.0] - 2023-09-16

### Added
- Akimbo reloading now applies to revolvers 

### Changed
- Quickgrabbing now applies to magazines and speedloaders (GitHub Issue #5)

### Fixed
- QuickGrabbing foregrips can no longer steal your hands. (GitHub Issue #12)
- QuickGrabbing is now more reliable; more unlikely to cause issues. (Compared to regular grabbing.)
- QuickGrabbing foregrips now properly hold the gun if you were not already holding the grip.
- QuickGrabbing now makes the normal grab buzz sound when grabbing objects normally.

**Full Changelog**: https://github.com/potatoes1286/Soup/compare/6.1.0...6.2.0

## [v6.1.0] - 2023-05-16

It wouldn't be a Potatoes release if it wasn't released past midnight.

### Changed
- Config name shuffling occurred- your one hand akimbo setting may be reset!
- Akimbo reload now enabled when second hand is occupied- not only when both hands are holding handguns, specifically! This allows more flexibility, such as pistol in one hand and melee/utility in the other.
- New setting added: Enable Akimbo Reloading With All Weapons. Enables Akimbo reloading for all closed bolt and open bolt weapons. Understandably, this setting has been pushed to the "Questionable Settings" category (Thanks to the overmind for the suggestion!)

### Fixed
- Stripper clips no longer are sensitive to falling out of your hand- More elaboration, some bit of code was running that I swear had a reason to exist but never actually did anything, and started causing problems, so now it's gone. (GitHub Issue #28)
- Bolt bracing now works on weapons with AK style safeties. Previously, when an AK was on safe it could not bolt brace.

**Full Changelog**: https://github.com/potatoes1286/Soup/compare/6.0.2...6.1.0


## [v6.0.2] - 2023-02-25

### Fixes
- Fixed Akimbo not replicating ammo type from spawnlocked mags

**Full Changelog**: https://github.com/potatoes1286/Soup/compare/6.0.1...6.0.2

## [v6.0.1] - 2023-02-22

### Fixed
- Mags can now be kicked properly when being bolt braced! It was not impossible to do this before, but it was exceptionally hard. (GitHub Issue #25)
- Some guns will now stop spamming console and work with Akimbo. Fix was supposed to be pushed in v6.0.0, but was lost along the way. (GitHub Issue #24)


**Full Changelog**: https://github.com/potatoes1286/Soup/compare/6.0.0...6.0.1

## [v6.0.0] - 2023-02-04 - AKIMBO TIME

### Added
- Akimbo-style reloading! To Akimbo reload, simply hold two pistols, then hover the pistols over a magazine in your quickbelt. It will automatically load the mag!
- Akimbo-style reloading can be enabled/disabled in the config (on by default)
- Akimbo-style reloading can be enabled/disabled when only holding one pistol (off by default)

**Full Changelog**: https://github.com/potatoes1286/Soup/compare/5.0.2...6.0.0


## [v5.0.1] - 2023-02-02

### Added

- Verbose logging option

### Changed
- Updated H3VR Game Libs to 0.106.10

### Fixed

- Fix broken due to H3VR update (GitHub Issue #23)



## [v5.0.1] - 2022-10-19

LTS release to support 105.

### Changed

- Switched from Debug build to Release

### Fixed

- Fixed broken on H3VR u105 (GitHub Issue #21)


### [v5.0.0] - 2022-05-23

slidin into these releases as if i didnt just dip for 4 months

### Added

- BetterStabilization has been added. This allows the user to two-hand stabilize a gun, even if they are holding something in their other hand. [#15]. This feature can be disabled in the config.


### Changed

- QuickGrabbing now has options to disable/enable the following:
    - Handgun slide (GitHub Issue #18)
    - Ropes
    - Bolts / handles / charging handles
    - Grenades
    - Sosig guns
- Added config to re-enable Anton's bolt lock.
- M1912P16 now has button eject. (#11)

### Fixed

- EasyAttaching no longer causes errors if guns have empty attachment mount fields, such as the MG42.
- Bolt Action Rifle's bolts can no longer be grabbed if they are locked by safety. (GitHub Issue #19)


## [v4.0.1] - 2022-01-18

### Changed
- Now relies on H3VR Utilities
- Configs renamed/refactored
- Quick Grabbing fores is now optional by config; disabled by default

### Fixed
- Steyr M1912 now has the internal mag release from Utils (GitHub Issue #8)


## [v4.0.0] - 2022-01-17

### Added
- Soup now fixes Break Action Weapons breaking from adding suppressors
- Soup now corrects the Madsen LAR and Panzerschreck sizes to be correct (Not very noticable on the Panzerschreck, but very much so for Madsen. Panzerschreck changed from a bore size of 95mm to 88mm, Madsen sized down from 1230mm to 1080mm)
- Single action revolver cylinders can now be rotated counter-clockwise with up on the touchpad (no room on Streamlined; get BTFO'd)

### Changed
- Foregrips and shotgun grips can now be quickgrabbed
- Top covers for MGs can now be quickgrabbed

### Fixed
- EjectorHit now accepts palm position, not just the tip (GitHub Issue #6)
- Tube-fed shotgun bolts can now be quickgrabbed
- ClearStabilization now returns your offhand after your main hand drops the gun
- EasyAttaching no longer breaks non-default layer items (GitHub Issue #7)

## [v3.1.0] - 2021-12-10

### Added
- Revolver ejector is now slappable (Ejector Hit)

### Changed
- Quick Grabbing no longer works when item is in Quickbelt slot
- Quick Grabbing no longer works if the hand is currently running in armswinger mode to prevent accidental grabs (can be disabled in config)

## [v3.0.4] - 2021-12-09

### Changed
- Made QuickGrabbing optional in the configs

## [v3.0.3] - 2021-12-08

### Fixed
- Fixed issue with QuickGrab interfering with palmed bullets

## [v3.0.2] - 2021-12-07

### Changed
- Palm Racking renamed to Quick Grabbing
- Now relies on hand input for grab instead of grip button pressed (for WMR and Vive)
- Ropes now quick grabbable
- Grenades, including sosignades, are now quickgrabbable

### Fixed
- Bolt Brace no longer breaks bipods

## [v3.0.1] - 2021-12-02

### Changed
- Arpy complained, so Palm Racking now works on handguns

## [v3.0.0] - 2021-12-01

### Added
- Palm Racking added
- Streamline support added

## [v2.0.0] - 2021-11-18
A rocky start and a hellalallalate update, what more can you ask for?

### Added
- Distance to enable Clear Stabilization can now be configurated via config
- Handguns can now be bolt-braced, given they have a stock
- Disabled Anton's bolt lock because it's incorrect
- EasyAttaching added; attachments now phase through held guns (Can be disabled via config)
- Panels now spawn locked
- Bullet thumbing now works with handguns

### Fixed
- Now works on U100A6. Is now incompatible with versions prior to U100A6.
- Decocking a self-recocking revolver now works properly
- Fixed cases which would keep guns kinematically locked despite not being held
- Fixed cases where bolt bracing would override other code that would lock the gun in place
- Clear Stabilization no longer activates if show controllers while holding is on
